Package com.smartgwt.client.ai

# Class AIProgressMessage

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.AIProgressMessage

All Implemented Interfaces:
  `HasHandlers`

public class AIProgressMessage extends DataClass
A message relating to progress made in an ongoing build-via-AI operation.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIProgressMessage()`
  `AIProgressMessage(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AIProgressMessageCategory`
  `getCategory()`
  The category of the message.
  `String`
  `getContent()`
  The content of the message.
  `static AIProgressMessage`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AIProgressMessage`
  `setCategory(AIProgressMessageCategory category)`
  The category of the message.
  `AIProgressMessage`
  `setContent(String content)`
  The content of the message.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIProgressMessage

    public AIProgressMessage()

  - ### AIProgressMessage

    public AIProgressMessage(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIProgressMessage getOrCreateRef(JavaScriptObject jsObj)

  - ### setCategory

    public AIProgressMessage setCategory(AIProgressMessageCategory category)
    The category of the message.
    Parameters:
      `category` - New category value. Default value is null
    Returns:
      `AIProgressMessage` instance, for chaining setter calls

  - ### getCategory

    public AIProgressMessageCategory getCategory()
    The category of the message.
    Returns:
      Current category value. Default value is null

  - ### setContent

    public AIProgressMessage setContent(String content)
    The content of the message.
    Parameters:
      `content` - New content value. Default value is null
    Returns:
      `AIProgressMessage` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getContent

    public String getContent()
    The content of the message.
    Returns:
      Current content value. Default value is null
    See Also:
      - `HTMLString`